Bug 656972 - Let "qemu" group look below /var/lib/libvirt/qemu/
Summary: Let "qemu" group look below /var/lib/libvirt/qemu/
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.1
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Daniel Veillard
QA Contact: Petr Beňas
URL:
Whiteboard:
Depends On: 643407
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-24 15:46 UTC by RHEL Program Management
Modified: 2015-01-04 23:00 UTC (History)
15 users (show)

Fixed In Version: libvirt-0.8.1-27.el6_0.1
Doc Type: Bug Fix
Doc Text:
Members of the qemu group did not have read/write permissions for the "[localstatedir]/[cache/lib]/libvirt/qemu/" directory in which XML files which define sockets are placed. Permissions are now updated to allow the qemu group read/write permissions.
Clone Of:
Environment:
Last Closed: 2011-04-14 16:19:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0446 0 normal SHIPPED_LIVE libvirt bug fix update 2011-04-14 16:18:21 UTC

Description RHEL Program Management 2010-11-24 15:46:30 UTC
This bug has been copied from bug #643407 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 3 Jiri Denemark 2010-11-29 23:52:22 UTC
Patches built into libvirt-0.8.1-27.el6_0.1

Comment 4 Johnny Liu 2010-12-21 10:39:55 UTC
The following verification is done on RHEL6 host, not on VDSM environment.


On old libvirt version - libvirt-0.8.1-27.el6.x86_64:
# ls -ld /var/lib/libvirt/qemu/ /var/cache/libvirt/qemu/
drwxr-xr-x. 2 qemu qemu 4096 Dec 21 06:58 /var/cache/libvirt/qemu/
drwx------. 4 qemu qemu 4096 Dec 21 06:57 /var/lib/libvirt/qemu/

On latest libvirt version - libvirt-0.8.1-27.el6_0.2.x86_64:
# ls -ld /var/lib/libvirt/qemu/ /var/cache/libvirt/qemu/
drwxr-xr-x. 2 qemu qemu 4096 Dec 21 10:35 /var/cache/libvirt/qemu/
drwxr-x---. 4 qemu qemu 4096 Dec 21 10:34 /var/lib/libvirt/qemu/


So seem this bug is fixed on libvirt.

Comment 7 Petr Beňas 2011-02-03 08:33:30 UTC
Reproduced in libvirt-0.8.1-27.el6 and verified in libvirt-0.8.1-28.el6.

Comment 8 wangyimiao 2011-02-09 03:13:22 UTC
verified it PASSED on build :
libvirt-0.8.1-27.el6_0.3.x86_64
qemu-img-0.12.1.2-2.113.el6_0.6.x86_64
qemu-kvm-0.12.1.2-2.113.el6_0.6.x86_64
kernel-2.6.32-71.18.1.el6.x86_64.

Steps:
#  ls -ld /var/lib/libvirt/qemu/ /var/cache/libvirt/qemu/
drwxr-xr-x. 2 qemu qemu 4096 Feb  9 02:46 /var/cache/libvirt/qemu/
drwxr-x---. 5 qemu qemu 4096 Feb  9 02:59 /var/lib/libvirt/qemu/

Comment 9 errata-xmlrpc 2011-04-14 16:19:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0446.html

Comment 10 Martin Prpič 2011-04-15 14:16:50 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Members of the qemu group did not have read/write permissions for the "[localstatedir]/[cache/lib]/libvirt/qemu/" directory in which XML files which define sockets are placed. Permissions are now updated to allow the qemu group read/write permissions.


Note You need to log in before you can comment on or make changes to this bug.